Package org.h2gis.functions.io.kml

## Enum ExtrudeMode

- java.lang.Object
- - java.lang.Enum<ExtrudeMode>
  - - org.h2gis.functions.io.kml.ExtrudeMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtrudeMode>`

    public enum ExtrudeMode
    extends Enum<ExtrudeMode>

Extrude mode specifies whether to connect the geometry to the ground.

Author:
  Erwan Bocher

### Enum Constant Summary

Enum Constants
`FALSE`
`NONE`
`TRUE`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExtrudeMode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ExtrudeMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TRUE

    public static final ExtrudeMode TRUE

#### FALSE

    public static final ExtrudeMode FALSE

#### NONE

    public static final ExtrudeMode NONE

### Method Detail

#### values

    public static ExtrudeMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ExtrudeMode c : ExtrudeMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ExtrudeMode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null